searchData={"content_type":"text/markdown","items":[{"doc":"Simple opentelementry instrumented plug.","ref":"Teleplug.html","title":"Teleplug","type":"module"},{"doc":"","ref":"Teleplug.html#setup/0","title":"Teleplug.setup/0","type":"function"},{"doc":"Instrumentation module. Setup telemetry handlers to add information to traces.","ref":"Teleplug.Instrumentation.html","title":"Teleplug.Instrumentation","type":"module"},{"doc":"","ref":"Teleplug.Instrumentation.html#get_route/1","title":"Teleplug.Instrumentation.get_route/1","type":"function"},{"doc":"","ref":"Teleplug.Instrumentation.html#register_route/4","title":"Teleplug.Instrumentation.register_route/4","type":"function"},{"doc":"","ref":"Teleplug.Instrumentation.html#setup/0","title":"Teleplug.Instrumentation.setup/0","type":"function"},{"doc":"","ref":"Teleplug.Instrumentation.html#unregister_route/4","title":"Teleplug.Instrumentation.unregister_route/4","type":"function"},{"doc":"# Changelog\n\nAll notable changes to this project will be documented in this file.\n\nThe format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),\nand this project adheres to\n[Semantic Versioning](https://semver.org/spec/v2.0.0.html).\n\n## [Unreleased]\n\n---\n\n## [2.0.0] - 2024-12-11","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"- Removed the following, in favour of\n  - `http.client.ip` => `client.address`\n  - `http.flavor` => `network.protocol.name`\n  - `http.method` => `http.request.method`\n  - `http.scheme` => `url.scheme`\n  - `http.status_code` => `http.response.status_code`\n  - `http.target` => split in `url.path` and `url.query`\n  - `http.user.agent` => `user_agent.original`\n  - `net.host.name` => `server.address`\n  - `net.host.port` => `server.port`\n  - `net.sock.peer.port` => `network.peer.port`\n  - `net.sock.peer.addr` => `network.peer.address`\n\n---\n\n## [1.1.3] - 2023-04-04","ref":"changelog.html#changed","title":"Changed - Changelog","type":"extras"},{"doc":"- Fix versioning of `telemetry` dependency\n\n## [1.1.2] - 2023-03-23","ref":"changelog.html#changed","title":"Changed - Changelog","type":"extras"},{"doc":"- Set span status to error if the returned http status code is 5xx\n\n## [1.1.1] - 2023-03-09","ref":"changelog.html#added","title":"Added - Changelog","type":"extras"},{"doc":"- Usage of the `opentelemetry_semantic_conversion` auto-generated library to\n  ensure proper conventions are followed","ref":"changelog.html#added","title":"Added - Changelog","type":"extras"},{"doc":"- Changed client attributes to proper server attributes\n  - `\"net.peer.ip\"` is now `\"net.sock.peer.addr\"`\n  - `\"net.peer.port\"` is now `\"net.sock.peer.port\"`","ref":"changelog.html#changed","title":"Changed - Changelog","type":"extras"},{"doc":"- `\"http.host\"` attribute as it is non standard, and already covered by\n  `\"net.host.name\"`\n\n## [1.1.0] - 2022-09-21","ref":"changelog.html#removed","title":"Removed - Changelog","type":"extras"},{"doc":"- Teleplug does not set opentelemetry-related Logger metadata anymore, because\n  The OpenTelemetry API/SDK itself\n  [does that automatically since 1.1.0](https://github.com/open-telemetry/opentelemetry-erlang/pull/394).\n  If you're upgrading to Teleplug 1.1.0, it is therefore recommended to also\n  upgrade to OpenTelemetry API 1.1.0\n\n[Unreleased]: https://github.com/primait/teleplug/compare/2.0.0...HEAD\n[2.0.0]: https://github.com/primait/teleplug/compare/1.1.3...2.0.0\n[1.1.3]: https://github.com/primait/teleplug/compare/1.1.2...1.1.3\n[1.1.2]: https://github.com/primait/teleplug/compare/1.1.1...1.1.2\n[1.1.1]: https://github.com/primait/teleplug/compare/1.1.0...1.1.1\n[1.1.0]: https://github.com/primait/teleplug/releases/tag/1.1.0","ref":"changelog.html#changed","title":"Changed - Changelog","type":"extras"},{"doc":"# The MIT License (MIT)\n\nCopyright (c) 2020 Prima.it\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.","ref":"license.html","title":"License","type":"extras"},{"doc":"# Teleplug\n\n[![Module Version](https://img.shields.io/hexpm/v/teleplug.svg)](https://hex.pm/packages/teleplug)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-lightgreen.svg)](https://hexdocs.pm/teleplug/)\n[![Total Download](https://img.shields.io/hexpm/dt/teleplug.svg)](https://hex.pm/packages/teleplug)\n[![License](https://img.shields.io/hexpm/l/teleplug.svg)](https://github.com/primait/teleplug/blob/master/LICENSE.md)\n[![Last Updated](https://img.shields.io/github/last-commit/primait/teleplug.svg)](https://github.com/primait/teleplug/commits/master)\n\nTeleplug is a dead simple opentelemetry-instrumented plug.","ref":"readme.html","title":"Overview","type":"extras"},{"doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `teleplug` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:teleplug, \"~> 1.0.0\"}\n  ]\nend\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at [https://hexdocs.pm/teleplug](https://hexdocs.pm/teleplug).","ref":"readme.html#installation","title":"Installation - Overview","type":"extras"},{"doc":"In your pipeline add\n\n```\nplug TelePlug\n```","ref":"readme.html#use","title":"Use - Overview","type":"extras"},{"doc":"Copyright (c) 2020 Prima.it\n\nThis work is free. You can redistribute it and/or modify it under the\nterms of the MIT License. See the [LICENSE.md](./LICENSE.md) file for more details.","ref":"readme.html#copyright-and-license","title":"Copyright and License - Overview","type":"extras"}],"producer":{"name":"ex_doc","version":"0.35.1"},"proglang":"elixir"}